/[gentoo-x86]/eclass/gst-plugins-good.eclass
Gentoo

Diff of /eclass/gst-plugins-good.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.21 Revision 1.22
1# Copyright 1999-2004 Gentoo Foundation 1# Copyright 1999-2004 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-good.eclass,v 1.21 2010/07/30 11:08:44 leio Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-good.eclass,v 1.22 2011/03/18 09:34:48 leio Exp $
4 4
5# Author : foser <foser@gentoo.org>, zaheerm <zaheerm@gentoo.org> 5# Author : foser <foser@gentoo.org>, zaheerm <zaheerm@gentoo.org>
6 6
7# gst-plugins-good eclass 7# gst-plugins-good eclass
8# 8#
53if [ "${PN}" != "${MY_PN}" ]; then 53if [ "${PN}" != "${MY_PN}" ]; then
54RDEPEND="=media-libs/gst-plugins-base-0.10*" 54RDEPEND="=media-libs/gst-plugins-base-0.10*"
55DEPEND="${RDEPEND} 55DEPEND="${RDEPEND}
56 >=sys-apps/sed-4 56 >=sys-apps/sed-4
57 dev-util/pkgconfig" 57 dev-util/pkgconfig"
58
59# -good-0.10.24 uses orc optionally instead of liboil unconditionally.
60# While <0.10.24 configure always checks for liboil, it is linked to only by non-split
61# plugins in gst/, so we only builddep for all old packages, and have a RDEPEND in old
62# versions of media-libs/gst-plugins-good
63if ! version_is_at_least "0.10.24"; then
64DEPEND="${DEPEND} >=dev-libs/liboil-0.3.8"
65fi
66
58RESTRICT=test 67RESTRICT=test
59fi 68fi
60 69
61### 70###
62# public functions 71# public functions

Legend:
Removed from v.1.21  
changed lines
  Added in v.1.22

  ViewVC Help
Powered by ViewVC 1.1.20